Bug 239158 - lang/rust: fix build on elfv1 powerpc64
Summary: lang/rust: fix build on elfv1 powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Rust Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-12 12:19 UTC by Piotr Kubaj
Modified: 2019-07-15 15:28 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (rust)


Attachments
patch (1.17 KB, patch)
2019-07-12 12:19 UTC, Piotr Kubaj
no flags Details | Diff
v2 (1.41 KB, patch)
2019-07-12 12:45 UTC, Piotr Kubaj
no flags Details | Diff
v3 (1.41 KB, patch)
2019-07-12 14:06 UTC, Piotr Kubaj
no flags Details | Diff
v4 (5.43 KB, patch)
2019-07-14 05:44 UTC, Tobias Kortkamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-07-12 12:19:54 UTC
Created attachment 205713 [details]
patch

On powerpc64 elfv1, "-elfv1" must be removed from bootstrap names to be found.
Comment 1 Piotr Kubaj freebsd_committer 2019-07-12 12:45:31 UTC
Created attachment 205715 [details]
v2

Make the patch also work on elfv2.
Comment 2 mikael.urankar 2019-07-12 14:03:25 UTC
typo: elvf1 -> elfv1
Comment 3 Piotr Kubaj freebsd_committer 2019-07-12 14:06:12 UTC
Created attachment 205716 [details]
v3

Corrected.
Comment 4 Tobias Kortkamp freebsd_committer 2019-07-14 05:44:15 UTC
Created attachment 205758 [details]
v4

The suggested patches are very hacky.  Let's do some cleanup at the
same time which is pending anyway.

Can you try this patch instead?
Comment 5 Piotr Kubaj freebsd_committer 2019-07-15 15:17:15 UTC
(In reply to Tobias Kortkamp from comment #4)
Yes, this patch helps.
Comment 6 commit-hook freebsd_committer 2019-07-15 15:27:56 UTC
A commit references this bug:

Author: tobik
Date: Mon Jul 15 15:27:29 UTC 2019
New revision: 506669
URL: https://svnweb.freebsd.org/changeset/ports/506669

Log:
  lang/rust: Clean up bootstrap handling

  Fix handling of BOOTSTRAPS_SUFFIX.  On powerpc64 the -elfv1 suffix
  needs to be stripped from the bootstraps since Rust expects them
  without it.

  PR:		239158
  Reported by:	pkubaj

Changes:
  head/lang/rust/Makefile